Page MenuHomePhabricator

Improve "advanced search"
Open, LowestPublic

Description

Current:

Issues we're trying to solve:

  • Redesign to OOUI
  • Confusing buttons - Select all/none buttons are rendered as buttons, while the Search is custom styled. This leads to users hit one of those real buttons instead of the intended Search due to expectation blindness.
  • The predefined sets do not let user know which namespaces are actually being searched -> the namespace selection is going to be always visible and checkboxes will change according to the selected predefined set
  • Advanced search will be always present, collapsible, expanded by default. The entire section will contain presets as well as manual ns search by checkboxes
  • Clicking on predefined set currently triggers the search -> will not, will just change the state of checkboxes to the relevant set
  • Clicking on predefined set currently unexpectedly triggers the search with original search phrase, not with the changed one
  • Confusing "Content namespaces" which is not always truth (there are two separate variables - wgContentNamespaces & wgNamespacesToBeSearchedDefault), because it is default search -> will be split to two presets
  • Missing Subject namespaces / Talk namespaces selection
  • Missing Invert the selection button
  • Better column handling
  • The main (right top) search form input won't be prefilled as it is confusing - users check namespaces and then hit the search button there which submits different form
  • ...?

Event Timeline

violetto raised the priority of this task from to Needs Triage.
violetto updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:51 PM
violetto updated the task description. (Show Details)Jul 16 2015, 9:50 PM
violetto set Security to None.
Danny_B updated the task description. (Show Details)Jul 16 2015, 11:01 PM
Danny_B added a comment.EditedJul 16 2015, 11:05 PM

This is basically just pure redesign of the search form UI, not adding any new features to the search process itself.

Assigning to krinkle since we just handed over the baton to him.

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Restricted Application added a project: Discovery. · View Herald TranscriptJul 27 2015, 8:48 PM
Krinkle removed Krinkle as the assignee of this task.Jul 29 2015, 11:04 PM

Un-assigning as I won't be able to work post-Wikimania. I'm in support of this redesign and am happy to consult and provide guidance. Note that @matmarex is more experienced and familiar with OOjs UI adoption in MediaWiki context, and may be able to help as well.

Danny_B updated the task description. (Show Details)Aug 3 2015, 2:53 PM
Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:16 AM
Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Danny's demo: http://dannyb.wmflabs.org/search/

(I had this comment drafted here ages ago but apparently forgot to actually click "Submit".)

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 16 2015, 9:14 PM
Deskana triaged this task as Lowest priority.Dec 17 2015, 11:47 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 11 2016, 11:18 PM
Krinkle removed a subscriber: Krinkle.May 10 2016, 4:29 PM

Change 354879 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Don't fill in the skin's search box on Special:Search

https://gerrit.wikimedia.org/r/354879

Qgil removed a subscriber: Qgil.May 22 2017, 5:00 PM

Change 354879 merged by jenkins-bot:
[mediawiki/core@master] Don't fill in the skin's search box on Special:Search

https://gerrit.wikimedia.org/r/354879

matmarex updated the task description. (Show Details)

Looks like WMDE folks are working on a large part of this for unrelated reasons as T165330: Update namespace bar for advanced search, so I'm adding it as a subtask. Let's see what here remains after they are done. :)

abian added a subscriber: abian.Jun 10 2018, 11:44 AM
abian added a comment.EditedJun 10 2018, 11:52 AM

Looks like WMDE folks are working on a large part of this for unrelated reasons as T165330: Update namespace bar for advanced search, so I'm adding it as a subtask. Let's see what here remains after they are done. :)

T165330 was marked as resolved a year ago. Do you think you'll be able to resume this task?

I think it's good to invite & involve people behind the excellent Advanced-Search project to provide an insight if they see above resolved or if there are things in the task description not (yet) integrated, and also mentioning further rollout plan – @Lea_WMDE, @Charlie_WMDE?